Bug 1552964 - FTBFS: Hadoop fails to build with Guava 24
Summary: FTBFS: Hadoop fails to build with Guava 24
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hadoop
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike Miller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-08 00:22 UTC by Christopher Tubbs
Modified: 2018-07-15 03:32 UTC (History)
3 users (show)

Fixed In Version: hadoop-2.7.6-4.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-15 03:32:36 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Christopher Tubbs 2018-03-08 00:22:10 UTC
This appears to be related to the update to Guava 24. The likely culprit is Hadoop using Guava items marked @Beta again, which were later deprecated and changed or removed, but it could be something else.


[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.7.0:compile (default-compile) on project hadoop-hdfs: Compilation failure: Compilation failure: 
[ERROR] /builddir/build/BUILD/hadoop-2.7.3-src/hadoop-hdfs-project/hadoop-hdfs/src/main/java/org/apache/hadoop/hdfs/server/datanode/DataStorage.java:[1163,14] cannot find symbol
[ERROR]   symbol:   method get(java.util.concurrent.Future<java.lang.Void>,java.lang.Class<java.io.IOException>)
[ERROR]   location: class com.google.common.util.concurrent.Futures
[ERROR] /builddir/build/BUILD/hadoop-2.7.3-src/hadoop-hdfs-project/hadoop-hdfs/src/main/java/org/apache/hadoop/hdfs/DFSInotifyEventInputStream.java:[80,24] <T>emptyIterator() is not public in com.google.common.collect.Iterators; cannot be accessed from outside package

Comment 1 Fedora Update System 2018-07-02 15:41:18 UTC
hadoop-2.7.6-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-06b0fdb46d

Comment 2 Fedora Update System 2018-07-03 17:54:22 UTC
hadoop-2.7.6-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-06b0fdb46d

Comment 3 Fedora Update System 2018-07-06 04:39:12 UTC
hadoop-2.7.6-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e5a8b72d0d

Comment 4 Fedora Update System 2018-07-06 17:53:36 UTC
hadoop-2.7.6-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e5a8b72d0d

Comment 5 Fedora Update System 2018-07-15 03:32:36 UTC
hadoop-2.7.6-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.